onEvent('recipes', e => {

  e.remove({ output: 'immersiveengineering:hammer' })
  e.remove({ output: 'immersiveengineering:blastbrick' })
  e.remove({ output: 'immersiveengineering:cokebrick' })
  e.remove({ output: 'immersiveengineering:alloybrick' })
  e.remove({ output: 'immersiveengineering:workbench' })
  e.remove({ output: 'immersiveengineering:coil_hv' })
  e.remove({ output: 'immersiveengineering:coil_mv' })
  e.remove({ output: 'immersiveengineering:coil_lv' })
  e.remove({ output: 'immersiveengineering:wirecoil_copper' })
  e.remove({ output: 'immersiveengineering:wirecoil_electrum' })
  e.remove({ output: 'immersiveengineering:wirecoil_steel' })
  e.remove({ output: 'immersiveengineering:component_steel' })
  e.remove({ output: 'immersiveengineering:component_iron' })
  e.remove({ output: 'immersiveengineering:capacitor_lv' })
  e.remove({ output: 'immersiveengineering:capacitor_mv' })
  e.remove({ output: 'immersiveengineering:capacitor_hv' })
  e.remove({ output: 'immersiveengineering:dynamo' })
  e.remove({ output: 'immersiveengineering:connector_lv' })
  e.remove({ output: 'immersiveengineering:connector_mv' })
  e.remove({ output: 'immersiveengineering:connector_hv' })
  e.remove({ output: 'immersiveengineering:connector_lv_relay' })
  e.remove({ output: 'immersiveengineering:connector_mv_relay' })
  e.remove({ output: 'immersiveengineering:connector_hv_relay' })
  e.remove({ output: 'immersiveengineering:thermoelectric_generator' })
  e.remove({ output: 'immersiveengineering:rs_engineering' })
  e.remove({ output: 'immersiveengineering:heavy_engineering' })
  e.remove({ output: 'immersiveengineering:light_engineering' })
  e.remove({ output: 'immersiveengineering:generator' })
  e.remove({ output: 'immersiveengineering:radiator' })
  e.remove({ output: 'immersiveengineering:blastbrick_reinforced' })
  e.remove({ output: 'immersiveengineering:cloche' })
  e.remove({ output: 'immersiveengineering:treated_post' })
  e.remove({ output: 'immersiveengineering:connector_lv' })
  e.remove({ output: 'immersiveengineering:connector_mv' })
  e.remove({ output: 'immersiveengineering:connector_hv' })
  e.remove({ output: 'immersiveengineering:transformer' })
  e.remove({ output: 'immersiveengineering:connector_lv_relay' })
  e.remove({ output: 'immersiveengineering:connector_mv_relay' })
  e.remove({ output: 'immersiveengineering:connector_hv_relay' })
  e.remove({ output: 'immersiveengineering:redstone_breaker' })
 
  e.remove({ mod: 'storagenetwork' })
  e.remove({ mod: 'xnet' })
  
  e.shaped('immersiveengineering:hammer', [
    ' 23',
    ' 12',
    '1  '
  ], {
    1: '#forge:rods/wooden', 2: 'kubejs:compressedironplate', 3: 'kubejs:reinforcedpcb'
  })

  e.shaped('immersiveengineering:dynamo', [
    ' 4 ',
    '535',
    '121'
  ], {
    1: '#forge:ingots/bronze', 2: '#forge:storage_blocks/bronze', 3: 'immersiveengineering:coil_lv', 4: 'kubejs:reinforcedpcb', 5: '#forge:ingots/electrum'
  })

  e.shaped('immersiveengineering:thermoelectric_generator', [
    ' 4 ',
    '535',
    '212'
  ], {
    1: '#forge:storage_blocks/constantan', 2: '#forge:ingots/constantan', 3: 'immersiveengineering:dynamo', 4: 'kubejs:reinforcedpcb', 5: '#forge:ingots/invar'
  })

  e.shaped('4x immersiveengineering:blastbrick_reinforced', [
    '212',
    '131',
    '212'
  ], {
    1: 'immersiveengineering:plate_steel', 2: 'immersiveengineering:blastbrick', 3: 'immersiveengineering:biodiesel_bucket'
  })

  e.shaped('4x kubejs:rcb', [
    '212',
    '131',
    '212'
  ], {
    1: 'immersiveengineering:plate_steel', 2: 'immersiveengineering:cokebrick', 3: 'immersiveengineering:biodiesel_bucket'
  })

  e.shaped(Item.of('immersiveengineering:graphite_electrode', '{graphDmg:0}'), [
    '   ',
    '11 ',
    '111'
  ], {
    1: 'immersiveengineering:dust_hop_graphite'
  })

  e.shaped('immersiveengineering:cloche', [
    '121',
    '353',
    '464'
  ], {
    4: 'immersiveengineering:sheetmetal_steel', 6: '#forge:storage_blocks/steel', 3: 'immersiveengineering:insulating_glass', 1: 'immersiveengineering:light_engineering', 2: 'immersiveengineering:capacitor_mv', 5: 'immersiveengineering:electron_tube'
  })

})